<?php
function dancemaster_footer( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	// Footer Panel // 
	$wp_customize->add_panel( 
		'footer_section', 
		array(
			'priority'      => 34,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Footer', 'dance-master'),
		) 
	);


	
	// Footer Bottom // 
	$wp_customize->add_section(
        'footer_bottom',
        array(
            'title' 		=> __('Footer Bottom','dance-master'),
			'panel'  		=> 'footer_section',
			'priority'      => 3,
		)
    );
	
	
	// Footer Copyright 
	$dancemaster_foo_copy = esc_html__('Copyright &copy; [current_year] [site_title] | Powered by [theme_author]', 'dance-master' );
	$wp_customize->add_setting(
    	'footer_copyright',
    	array(
			'default' => $dancemaster_foo_copy,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'footer_copyright',
		array(
		    'label'   		=> __('Copyright','dance-master'),
		    'section'		=> 'footer_bottom',
			'type' 			=> 'textarea',
			'transport'         => $selective_refresh,
		)  
	);		 
}
add_action( 'customize_register', 'dancemaster_footer' );
// Footer selective refresh
function dancemaster_footer_partials( $wp_customize ){	
	// footer_copyright
	$wp_customize->selective_refresh->add_partial( 'footer_copyright', array(
		'selector'            => '.copy-right .copyright-text',
		'settings'            => 'footer_copyright',
		'render_callback'  => 'dancemaster_footer_copyright_render_callback',
	) );
	
	}
add_action( 'customize_register', 'dancemaster_footer_partials' );


// copyright_content
function dancemaster_footer_copyright_render_callback() {
	return get_theme_mod( 'footer_copyright' );
}